<?php
/* $Id: unauth.php,v 1.8 2006/08/10 12:50:41 n Exp $ */

require_once('../vars.inc.php');
require_once('CheckUserFunctions.inc.php');

$admin_mode = true;
if ($AUTHORIZATION_TYPE=='session')
{
    session_start();
}

LoadSettings();

Authorize (1);

if (preg_match("/^\w+$/", $AUTH_LANG))
{
    require_once($ADMIN_FOLDER."lang/".$AUTH_LANG.".php");
}
elseif(preg_match("/^\w+$/",$PHP_AUTH_LANG))
{
    require_once($ADMIN_FOLDER."lang/".$PHP_AUTH_LANG.".php");
}
elseif(preg_match("/^\w+$/",$_SESSION['User']['PHP_AUTH_LANG']))
{
    require_once($ADMIN_FOLDER."lang/".$_SESSION['User']['PHP_AUTH_LANG'].".php");
}
else
{
    if (!$PHP_AUTH_LANG)
    {
        $PHP_AUTH_LANG=NetCat_language_detect();
    }
    if ($PHP_AUTH_LANG)
    {
        require_once($ADMIN_FOLDER."lang/".$PHP_AUTH_LANG.".php");
    }
    else
    {
        require_once($ADMIN_FOLDER."lang/".$ADMIN_LANGUAGE.".php");
    }
}

Unauthorize();
LoginFormHeader();

if ($AUTHORIZATION_TYPE=="cookie")
{
    echo BEGINHTML_LOGOUT_OK."<br><br>[<a href=/netcat/admin/><font color=006699>".BEGINHTML_LOGOUT_RELOGIN."</font></a>]";
}
elseif ($AUTHORIZATION_TYPE=="http")
{
    echo BEGINHTML_LOGOUT_IE;
}
elseif ($AUTHORIZATION_TYPE=="session")
{
    echo BEGINHTML_LOGOUT_OK."<br><br>[<a href=/netcat/admin/><font color=006699>".BEGINHTML_LOGOUT_RELOGIN."</font></a>]";
    unset($_SESSION['User']);
}

LoginFormFooter();

function LoadSettings ()
{
    global $db;
    global $IsInsideAdmin, $system_env;
    global $PROJECT_NAME, $VERSION_ID, $PLUGS_INSTALL_TYPE, $ANY_SYSTEM_MESSAGE, $SYSTEM_ID,$ADMIN_FOLDER;
    global $SPAM_FIELD, $SPAM_FROM, $SPAM_FROM_NAME, $NO_RIGHTS_MESSAGE, $PATCH_CHECK_DATE;
    global $LAST_PATCH, $LAST_LOCAL_PATCH, $SYSTEM_NAME, $SYSTEM_COLOR, $FILEMANAGER_SUB;
    global $HTTP_HOST, $REMOTE_ADDR, $HTTP_USER_AGENT;
    global $EDITOR_TYPE, $EMBED_EDITOR;

    $Array = $db->get_row('SELECT * FROM Settings',ARRAY_A);

    $PROJECT_NAME = $Array['ProjectName'];
    $PRODUCT_CODE = $Array['ProductNumber'];
    $FILEMANAGER_SUB = $Array['FileManagerSub'];
    $SYSTEM_ID = $Array['SystemID'];
    $VERSION_ID = $Array['VersionNumber'];
    $SPAM_FIELD = $Array['UserEmailField'];
    $SPAM_FROM = $Array['SpamFromEmail'];
    $SPAM_FROM_NAME = $Array['SpamFromName'];
    $EDITOR_TYPE = $Array['EditorType'];
    $EMBED_EDITOR = $Array['EmbedEditor'];

    switch ($SYSTEM_ID)
    {
        case "1":
        $SYSTEM_NAME = 'Small Business';
        $SYSTEM_COLOR = '#ff9900';
        break;
        case "2":
        $SYSTEM_NAME = 'Standard';
        $SYSTEM_COLOR = '#2690cf';
        break;
        case "3":
        $SYSTEM_NAME = 'Extra';
        $SYSTEM_COLOR = '#cc3300';
        break;
        case "4":
        $SYSTEM_NAME = 'Plus';
        $SYSTEM_COLOR = 'green';
        break;
    }

    if ($Array['PlugsInstallType'])
    {
        $PLUGS_INSTALL_TYPE = "ext";
    }
    else
    {
        $PLUGS_INSTALL_TYPE = "int";
    }

    if ($SPAM_FIELD)
    {
        $SPAM_FIELD = $db->get_var("SELECT Field_Name FROM Field WHERE Field_ID=".($SPAM_FIELD+0));
    }
    else
    {
        $SPAM_FIELD = $db->get_var("SELECT a.Field_Name FROM Field AS a, System_Table AS b WHERE a.Format='email' AND a.System_Table_ID=b.System_Table_ID AND b.System_Table_Name='User'");
    }

    $LAST_LOCAL_PATCH = $db->get_var("SELECT Patch_Name FROM Patch ORDER BY Patch_Name DESC LIMIT 1");
    $LAST_LOCAL_PATCH += 0;

    list($LAST_PATCH,$PATCH_CHECK_DATE,$PATCH_CHECK_NEEDED) = $db->get_row("SELECT LastPatch,DATE_FORMAT(PatchCheck,'%d.%m.%Y'),DATE_ADD(PatchCheck,INTERVAL 7 DAY)<=CURDATE() FROM Settings",ARRAY_N);

    if (($PATCH_CHECK_NEEDED!="0" && $LAST_PATCH<=$LAST_LOCAL_PATCH) || $IsInsideAdmin) {
        $LAST_PATCH = join(@file("http://www.netcat.ru/netcat/modules/default/patch.php?system=".$Array["SystemID"]."&version=".$Array["VersionNumber"]."&lastpatch=".$LAST_LOCAL_PATCH."&host=".$HTTP_HOST."&product=".$PRODUCT_CODE."&useremail=".$SPAM_FROM."&adminfolder=".$ADMIN_FOLDER."&userip=".$REMOTE_ADDR."&useragent=".urlencode($HTTP_USER_AGENT)));
        $db->query("UPDATE Settings SET PatchCheck=CURDATE(),LastPatch=".($LAST_PATCH+0));
    }

    $ANY_SYSTEM_MESSAGE = $db->get_var("SELECT count(*) FROM SystemMessage WHERE Checked=0");

    if ($LAST_LOCAL_PATCH) {
        $system_env['Powered']="NetCat/".$VERSION_ID.".".$LAST_LOCAL_PATCH." (".$SYSTEM_NAME.")";
    } else {
        $system_env['Powered']="NetCat/".$VERSION_ID." (".$SYSTEM_NAME.")";
    }
}

?>
