<?

require_once("../../../vars.inc.php");
require_once("../../../admin/function.inc.php");
require_once($INCLUDE_FOLDER."s_loadenv.inc.php");
require_once($INCLUDE_FOLDER."s_e404.inc.php");

LoadModuleEnv();

class Netshop_ExportYML extends Netshop
{
   function Netshop_ExportYML()
   {
      $this->Netshop();
   }

   /**
        *    YandexML
        * @param int ,    (  -  )
        */
   function ExportYML($section=0)
   {
      if (!$this->shop_id) return false;

      $currency_id = $this->Currencies[$this->DefaultCurrencyID];

      header ("Content-type: text/xml");
      $ret = "<?xml version=\"1.0\" encoding=\"windows-1251\"?>
                 <!DOCTYPE yml_catalog SYSTEM \"shops.dtd\">
                 <yml_catalog date=\"".(strftime("%Y-%m-%d %H:%M"))."\">
                 <shop>
                  <name>".xmlspecialchars($this->ShopName)."</name>
                  <company>".xmlspecialchars($this->CompanyName)."</company>
                  <url>http://$_SERVER[HTTP_HOST]/</url>
                  <currencies>
                    <currency id=\"RUR\" rate=\"1\" />";

      if ($currency_id != "RUR")
      {
         $ret .= "<currency id=\"$currency_id\" rate=\"".
         ($this->Rates[$this->DefaultCurrencyID]+(100+$this->CurrencyConversionPercent)/100)
         ."\" />";
      }

      $ret .= "</currencies>
                <categories>\n";

      // output categories (shop structure) ---------------------------
      if (!$section) $section = $this->shop_id;
      $structure = GetStructure($section, "Checked=1");

      $all_sections_ids = array(); //       

      foreach ($structure as $row)
      {
         $ret .= "<category id=\"$row[Subdivision_ID]\"".
         ($row["Parent_Sub_ID"]==$section ? "":" parentID=\"$row[Parent_Sub_ID]\"").
         ">".xmlspecialchars($row["Subdivision_Name"])."</category>\n";

         $all_sections_id[] = $row["Subdivision_ID"];
      }

      $ret .= "</categories>\n<offers>";

      // GOODS CATALOGUE -----------------------------------------------
      $goods = $this->GetGoodsByParent(join(",", $all_sections_id), "m.Checked=1");

      $output = array("Name"=>"name",
      "Vendor"=>"vendor",
      "Description"=>"description",
      "URL"=>"url",
      "Price"=>"price",
      "Image"=>"picture");

      foreach ($goods as $row)
      {
         // convert to default currency
         $row["Price"] = $this->ConvertCurrency($row[$this->PriceColumn], $row[$this->CurrencyColumn]);
         // we'll need an absolute url
         $row["URL"] = "http://$_SERVER[HTTP_HOST]$row[URL]";

         if ($row["Image"]) // replace to image url
         {
            preg_match("/[^.]+\.([^.:]+):.+/", $row["Image"], $regs);
            $row["Image"] = "http://$_SERVER[HTTP_HOST]/netcat_files/$row[Image_Field_ID]_$row[Message_ID].$regs[1]";
         }

         $ret .= "<offer>\n<currencyId>$currency_id</currencyId>\n";

         foreach ($output as $idx=>$tag)
         {
            if ($row[$idx]) $ret .= "<$tag>".xmlspecialchars($row[$idx])."</$tag>\n";
         }

         if (strlen($row["StockUnits"]))
         {
            $ret .=  "<orderingTime><ordering>".
            ($row["StockUnits"] ? " " : " " ).
            "</ordering></orderingTime>\n";
         }

         $ret .= "</offer>\n";
      }

      // ---------------------------------------------------------------

      $ret .= "</offers>\n</shop>\n</yml_catalog>";
      print $ret;
      //      return $ret;
   }
}


//---------------

$catalogue = GetCatalogueID($HTTP_HOST);
if (!$catalogue) $catalogue = 1;


$shop = new NetShop_ExportYML();
$shop->ExportYML();

?>
